package edu.cmu.cs.l3.translate;

import edu.cmu.cs.l3.frame.*;
import edu.cmu.cs.l3.errormsg.*;
import edu.cmu.cs.l3.tree.*;
import edu.cmu.cs.l3.temp.*;

public class TranslateExpressionNx extends TranslateExpression {

    public TranslateExpressionNx(Frame curframe, ErrorMsg e, TranslateEnvironment t) {
	super(curframe,e,t);
    }

    public IRExpression asExpression() {
	return new IRESeq(asStatement(), new IRConst(0));
    }

    public IRStatement asStatement() {
	return m_stm;
    }

    public IRStatement asConditional(Label t, Label f) {
	return null;
    }

    public void visitResponse(String type, Object obj) {

    }

    private IRStatement m_stm;
}

